diff --git a/ostable b/ostable
index 29d3843..8cc709b 100644
--- a/ostable
+++ b/ostable
@@ -36,3 +36,4 @@ sysv-solaris		solaris			solaris[^-]*
 uclibceabi-uclinux	uclinux-uclibceabi	uclinux[^-]*-uclibceabi
 uclibc-uclinux		uclinux-uclibc		uclinux[^-]*(-uclibc.*)?
 tos-mint		mint			mint[^-]*
+mingw64-windows		w64-mingw32		w64-mingw32[^-]*
diff --git a/scripts/Dpkg/Vendor/Debian.pm b/scripts/Dpkg/Vendor/Debian.pm
index e1a6b0c..3bc568c 100644
--- a/scripts/Dpkg/Vendor/Debian.pm
+++ b/scripts/Dpkg/Vendor/Debian.pm
@@ -122,15 +122,17 @@ sub add_hardening_flags {
 	#  (#574716).
 	$use_feature{pie} = 0;
     }
-    if ($cpu =~ /^(ia64|alpha|mips|mipsel|hppa|arm64)$/ or $arch eq 'arm') {
+    if ($cpu =~ /^(ia64|alpha|mips|mipsel|hppa|arm64)$/ or $arch eq 'arm' or $os eq 'windows') {
 	# Stack protector disabled on ia64, alpha, arm64, mips, mipsel, hppa.
 	#   "warning: -fstack-protector not supported for this target"
 	# Stack protector disabled on arm (ok on armel).
 	#   compiler supports it incorrectly (leads to SEGV)
+	# Stack protector disabled on Windows (requires glibc).
 	$use_feature{stackprotector} = 0;
     }
-    if ($cpu =~ /^(ia64|hppa|avr32)$/) {
+    if ($cpu =~ /^(ia64|hppa|avr32)$/ or $os eq 'windows') {
 	# relro not implemented on ia64, hppa, avr32.
+	# relro not implemented on Windows.
 	$use_feature{relro} = 0;
     }
 
diff --git a/triplettable b/triplettable
index a2c683f..c66964e 100644
--- a/triplettable
+++ b/triplettable
@@ -29,3 +29,4 @@ sysv-solaris-<cpu>	solaris-<cpu>
 uclibceabi-uclinux-arm	uclinux-armel
 uclibc-uclinux-<cpu>	uclinux-<cpu>
 tos-mint-m68k		mint-m68k
+mingw64-windows-<cpu>	mingw64-<cpu>
